Dashboard

Get chart data

get

Fetches chart data for visualization.

Authorizations
AuthorizationstringRequired
Query parameters
start_datestring · date-timeRequired

Start date for the data range.

end_datestring · date-timeRequired

End date for the data range.

channelintegerRequired

ID of the channel the customer belongs to

Example: 5
payment_option_slugstringOptional

Filter by payment option slug.

Example: credit_card
Responses
chevron-right
200

Successfully retrieved chart data.

application/json
countintegerOptional

Count of orders.

timestringOptional

Time representation for the chart. Hour of the day.

get
/api/v1/dashboard/chart/
200

Successfully retrieved chart data.

Get top cities

get

Retrieves a list of cities with the highest order volumes.

Authorizations
AuthorizationstringRequired
Query parameters
start_datestring · date-timeRequired

Start date for the data range.

end_datestring · date-timeRequired

End date for the data range.

channelintegerRequired

ID of the channel the customer belongs to

Example: 5
payment_option_slugstringOptional

Filter by payment option slug.

Example: credit_card
Responses
chevron-right
200

Successfully retrieved top cities.

application/json
namestringOptional

City name.

item_countintegerOptional

Number of items sold in the city.

city_countintegerOptional

Number of orders in the city.

pricenumber · floatOptional

Total sales amount for the city.

get
/api/v1/dashboard/top_cities/
200

Successfully retrieved top cities.

Get top categories

get

Retrieves a list of top-selling categories.

Authorizations
AuthorizationstringRequired
Query parameters
start_datestring · date-timeRequired

Start date for the data range.

end_datestring · date-timeRequired

End date for the data range.

channelintegerRequired

ID of the channel the customer belongs to

Example: 5
payment_option_slugstringOptional

Filter by payment option slug.

Example: credit_card
Responses
chevron-right
200

Successfully retrieved top categories.

application/json
pkintegerOptional

ProductCategory ID.

namestringOptional

Category name.

item_countintegerOptional

Total number of sales for the category.

pricenumber · floatOptional

Total sales amount for the category.

get
/api/v1/dashboard/top_categories/
200

Successfully retrieved top categories.

Get product details

get

Retrieves total product count and stock for the given channel.

Authorizations
AuthorizationstringRequired
Query parameters
channelintegerRequired

ID of the channel the customer belongs to

Example: 5
payment_option_slugstringOptional

Filter by payment option slug.

Example: credit_card
Responses
chevron-right
200

Successfully retrieved product details.

application/json
total_product_countintegerOptionalExample: 123
total_product_stocksintegerOptionalExample: 123
get
/api/v1/dashboard/
200

Successfully retrieved product details.

Get products sales data.

get

Fetches a list of products sale data for a given period.

Authorizations
AuthorizationstringRequired
Query parameters
start_datestring · date-timeRequired

Start date for the data range.

end_datestring · date-timeRequired

End date for the data range.

channelintegerRequired

ID of the channel the customer belongs to

Example: 5
payment_option_slugstringOptional

Filter by payment option slug.

Example: credit_card
Responses
chevron-right
200

Successfully retrieved products sale data.

application/json
soldintegerOptional

Total number of products sold.

totalnumber · floatOptional

Total sales amount.

stockintegerOptional

Total stock.

base_codestringOptional

Product base code.

skustringOptional

Product SKU.

namestringOptional

Product name.

channelstringOptional

Channel name.

get
/api/v1/dashboard/orders_by_product/
200

Successfully retrieved products sale data.

Get top products

get

Fetches a list of top products based on sales or quantity.

Authorizations
AuthorizationstringRequired
Query parameters
start_datestring · date-timeRequired

Start date for the data range.

end_datestring · date-timeRequired

End date for the data range.

channelintegerRequired

ID of the channel the customer belongs to

Example: 5
payment_option_slugstringOptional

Filter by payment option slug.

Example: credit_card
Responses
chevron-right
200

Successfully retrieved top products.

application/json
orderitem__productintegerOptional

Product ID.

product_countintegerOptional

Total quantity sold.

pricenumber · floatOptional

Total sales amount.

namestringOptional

Product name.

get
/api/v1/dashboard/top_products/
200

Successfully retrieved top products.

Get overall data

get

Fetches overall dashboard data such as turnover, sales, and refunds.

Authorizations
AuthorizationstringRequired
Query parameters
start_datestring · date-timeRequired

Start date for the data range.

end_datestring · date-timeRequired

End date for the data range.

channelintegerRequired

ID of the channel the customer belongs to

Example: 5
payment_option_slugstringOptional

Filter by payment option slug.

Example: credit_card
Responses
chevron-right
200

Successfully retrieved overall data.

application/json
turnovernumber · floatOptionalExample: 123.45
total_order_quantityintegerOptionalExample: 123
total_orderitem_quantityintegerOptionalExample: 123
average_sale_pricenumber · floatOptionalExample: 123.45
average_basket_pricenumber · floatOptionalExample: 123.45
total_shipping_amountnumber · floatOptionalExample: 123.45
total_discountnumber · floatOptionalExample: 123.45
updated_atstring · date-timeOptionalExample: 2021-01-01T00:00:00Z
total_sale_amountnumber · floatOptionalExample: 123.45
total_refund_amountnumber · floatOptionalExample: 123.45
total_cancel_amountnumber · floatOptionalExample: 123.45
total_cancel_quantityintegerOptionalExample: 123
total_refund_quantityintegerOptionalExample: 123
currency_typestring · enumOptionalPossible values:
get
/api/v1/dashboard/overall_data/
200

Successfully retrieved overall data.

Last updated

Was this helpful?